Page MenuHomePhabricator

Neither irclib nor python-irclib not ircbot is uptodate
Closed, ResolvedPublicBUG REPORT

Description

Seaching for SingleServerIRCBot class I found it in irc.lib. Unfortunatelly the irc package runs with py3.4+ only but irc<17 supports py 2.7

irclib was moved to irc.bot in irc 0.7 and removed in irc 1.0

Event Timeline

Xqt triaged this task as Medium priority.Dec 26 2018, 3:28 PM

Change 481338 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [bugfix] use irc.bot for SingleServerIRCBot

https://gerrit.wikimedia.org/r/481338

Xqt raised the priority of this task from Medium to High.EditedDec 29 2018, 1:57 AM
Xqt added a project: Pywikibot-tests.

Appveyor fails due to incompatibility of irc 17.0 with py2.7

See https://ci.appveyor.com/project/Ladsgroup/pywikibot-g4xqx/builds/22838345/job/pntk4yapsh4bf2kn for example

Xqt added a subscriber: Dalba.
Xqt changed the subtype of this task from "Task" to "Bug Report".Apr 21 2019, 8:26 PM

Change 481338 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [bugfix] Drop botirc.py library part

https://gerrit.wikimedia.org/r/481338

Change 509039 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [IMPR] Switch script_wui to EventStreams

https://gerrit.wikimedia.org/r/509039

Change 509039 abandoned by Dvorapa:
[IMPR] Switch script_wui to EventStreams

Reason:
I changed my mind. This can use botirc and together with botirc can be removed after some time as standard deprecation routine

https://gerrit.wikimedia.org/r/509039

Change 481338 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] Drop botirc.py library part

https://gerrit.wikimedia.org/r/481338

Dvorapa added a subscriber: Dvorapa.

irclib has been removed as a dependency and all the stuff that relies on it has been deprecated